# TextLabel

TextLabel : `GuiObject`

## Overview

Unlike Frame, TextLabel is a UI element that can be used to display text in a square.

The color and transparency of image can be adjusted with the TextColor3 and TextTransparency properties. If background needs to be hidden while image is displayed, set BackgroundTransparency to 1.

TextLabel can be controlled only in **client environment**.

## Properties

### Bold

`boolean`

Specifies whether to render the text displayed in TextLabel in Bold.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.Bold = true
```

### LocalizedText

`string`

A read-only property that returns the automatically translated result string based on the current client's locale.

Use this property to check the translated result actually displayed on the button when the original string assigned to the Text property is translated.

Automatic translation is applied only when the AutoLocalize property is true.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

print(TextLabel.LocalizedText)
```

### Text

`string`

Specifies the text value to be displayed in TextLabel.

Text is visually expressed by a variety of properties including color, transparency, size, font, alignment, and others.

In editor (Properties window), Shift + Enter can be used to input line break; in script, the character can be used to apply linefeed.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.Text = "Hello"
```

### TextColor3

`Color3`

Specifies the color to be applied to text.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextColor3 = Color3.new(255, 0, 0)
```

### TextScaled

`boolean`

Determines whether text size is automatically adjusted to fill the entire area of TextLabel.

When this feature is used, the TextSize value is ignored and TextWrapped will automatically be enabled.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextScaled = true
```

### TextSize

`number`

Controls text size in pixels; a higher value makes text displayed bigger.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextSize = 50
```

### TextTransparency

`number`

Specifies the transparency of text.

0 means the text is completely opaque while 1 means the text is totally invisible.

If background needs to be hidden while text is displayed, set BackgroundTransparency to 1.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextTransparency = 0.5
```

### TextWrapped

`boolean`

Specifies whether the text in TextLabel to automatically break line in order to stay in the text area.

If this property is set true, a long sentence is divided into several lines to fit in TextLabel. Line break will be processed based on blank character.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextWrapped = true
```

### TextXAlignment

`Enum.TextXAlignment`

Specifies whether text is placed the left, center, or right section of the TextLabel area.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextXAlignment = Enum.TextXAlignment.Left
```

### TextYAlignment

`Enum.TextYAlignment`

Specifies whether text is placed the top, center, or bottom section of the TextLabel area.

#### Code Samples

```lua
local ScreenGui = script.Parent
local TextLabel = ScreenGui:WaitForChild("TextLabel")

TextLabel.TextYAlignment = Enum.TextYAlignment.Top
```

## Methods

## Events

## See also


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/textlabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
